// Copyright (c) 2002 Oleksandr Shyrokov 
// E-mail: olexander_shyrokov@yahoo.com
// WEB:	http://sjcomp.virtualave.net/thesis/
// WEB:	http://www.ece.unh.edu/svpal/
// 
// Permission to use, copy, modify and distribute the contests of this code
// for non-commercial purpose is hereby granted without fee, provided
// that (i) the above copyright notices and this permission notice appear in
// all copies of the software and related documentation, and (ii) the name of
// Oleksandr Shyrokov may not be used in any advertising or
// publicity relating to the software without the specific, prior written
// permission of Oleksnadr Shyrokov.
// 
// For commercial use of the source code or parts of the source code,
// written permission of Oleksandr Shyrokov is required!
// 
// THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
// 
// IN NO EVENT SHALL OLEKSANDR SHYROKOV BE LIABLE FOR
// ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
// OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
// WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
// LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
// OF THIS SOFTWARE.
// 
//$Header: c:\\users\\sj\\CVS/Thesis/Interfaces/AllConstants.h,v 2.2 2002/02/15 22:23:17 sj Exp $
#if !defined(ALL_CONSTS_H_INCLUDED_FOR_INTERFACES)
#define ALL_CONSTS_H_INCLUDED_FOR_INTERFACES

#ifdef NL_OS_WINDOWS
#ifndef __SGI_STL_PORT
#  error "You need STLPort to compile this project (www.stlport.org), default stl doesn't work :("
#endif // __SGI_STL_PORT
#endif // NL_OS_WINDOWS

typedef unsigned char byte;

#define PI 3.1416

enum Error_codes {SJ_NORMAL_EXIT=0, SJ_BAD_COLOR_DEPTH};
enum Get_Info_return_codes {SJ_MFC_DIALOG_SETUP=0,SJ_NO_SETUP_DIALOG};
enum Plugins_types {	SJ_PLGUIN_TYPE_ACQ,
						SJ_PLGUIN_TYPE_OBJ_SEP,
						SJ_PLGUIN_TYPE_DISPLAY,
						SJ_PLGUIN_TYPE_DATABASE,
						SJ_PLGUIN_TYPE_FEATURE
					};

#endif //!defined(ALL_CONSTS_H_INCLUDED_FOR_INTERFACES)
