// Copyright (c) 2002 Oleksandr Shyrokov 
// E-mail: olexander_shyrokov@yahoo.com
// WEB:	http://sjcomp.virtualave.net/thesis/
// WEB:	http://www.ece.unh.edu/svpal/
// 
// Permission to use, copy, modify and distribute the contests of this code
// for non-commercial purpose is hereby granted without fee, provided
// that (i) the above copyright notices and this permission notice appear in
// all copies of the software and related documentation, and (ii) the name of
// Oleksandr Shyrokov may not be used in any advertising or
// publicity relating to the software without the specific, prior written
// permission of Oleksnadr Shyrokov.
// 
// For commercial use of the source code or parts of the source code,
// written permission of Oleksandr Shyrokov is required!
// 
// THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
// 
// IN NO EVENT SHALL OLEKSANDR SHYROKOV BE LIABLE FOR
// ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
// OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
// WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
// LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
// OF THIS SOFTWARE.
// 
//$Header: c:\\users\\sj\\CVS/Thesis/Interfaces/SJObjectInfo.cpp,v 2.1 2002/02/15 22:23:17 sj Exp $
#include "stdafx.h"
#include "utils.h"
#include "SJObjectInfo.h"

CSJObjectInfo::CSJObjectInfo()
{
	Rect.Clear();
}

//CSJObjectInfo::CSJObjectInfo(const CSJObjectInfo& orig)
//{
//	m_Info=orig.m_Info;
//	m_BinaryMap=orig.m_BinaryMap;
//	m_iLeft=orig.m_iLeft;
//	m_iRight=orig.m_iRight;
//	m_iTop=orig.m_iTop;
//	m_iBottom=orig.m_iBottom;
//}

bool CSJObjectInfo::SetValue(std::string strName,int iValue)
{
	return m_Info.SetValueI("0",strName,iValue);
}

bool CSJObjectInfo::SetValue(std::string strName,double dValue)
{
	return m_Info.SetValueF("0",strName,dValue);
}

bool CSJObjectInfo::SetValue(std::string strName,std::string strValue)
{
	return m_Info.SetValue("0",strName,strValue);
}

int CSJObjectInfo::GetNumVars()
{
	return m_Info.GetNumValues("0");
}

bool CSJObjectInfo::HaveValue(std::string strVarName)
{
	return m_Info.HaveVariable("0",strVarName);
}

std::string CSJObjectInfo::GetValue(std::string strVarName)
{
	return m_Info.GetValue("0",strVarName);
}

int CSJObjectInfo::GetValueI(std::string strVarName)
{
	return m_Info.GetValueI("0",strVarName);
}

double CSJObjectInfo::GetValueF(std::string strVarName)
{
	return m_Info.GetValueF("0",strVarName);
}
