// Copyright (c) 2002 Oleksandr Shyrokov 
// E-mail: olexander_shyrokov@yahoo.com
// WEB:	http://sjcomp.virtualave.net/thesis/
// WEB:	http://www.ece.unh.edu/svpal/
// 
// Permission to use, copy, modify and distribute the contests of this code
// for non-commercial purpose is hereby granted without fee, provided
// that (i) the above copyright notices and this permission notice appear in
// all copies of the software and related documentation, and (ii) the name of
// Oleksandr Shyrokov may not be used in any advertising or
// publicity relating to the software without the specific, prior written
// permission of Oleksnadr Shyrokov.
// 
// For commercial use of the source code or parts of the source code,
// written permission of Oleksandr Shyrokov is required!
// 
// THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
// 
// IN NO EVENT SHALL OLEKSANDR SHYROKOV BE LIABLE FOR
// ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
// OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
// WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
// LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
// OF THIS SOFTWARE.
// 
//$Header: c:\\users\\sj\\CVS/Thesis/Interfaces/SJSpecimen.cpp,v 2.1 2002/04/12 14:17:06 sj Exp $
#include "stdafx.h"
#include "SJSpecimen.h"

CSJSpecimen::CSJSpecimen()
{
	m_piStage=NULL;
	m_pfProgress=NULL;
	m_pyAbort=NULL;
}

CSJSpecimen::~CSJSpecimen()
{

}

BOOL CSJSpecimen::ReportProgress(int iStage,float fPercentage)
{
	if(m_piStage && m_pfProgress)
	{
		*m_piStage=iStage;
		*m_pfProgress=fPercentage;
		return TRUE;
	}
	else 
		return FALSE;
}

void CSJSpecimen::SetReportVars(int* piStage, float* pfProgress)
{
	if(piStage) m_piStage=piStage;
	if(pfProgress) m_pfProgress=pfProgress;
}

CSJSpecimen &CSJSpecimen::operator=(CSJSpecimen &fromobj)
{
	this->m_IniFile.SetPath(fromobj.m_IniFile.GetPath());
	this->m_IniFile.ReadFile();
	this->m_ListOfImages=fromobj.m_ListOfImages;
	this->m_TempImages=fromobj.m_TempImages;
	this->m_Vars=fromobj.m_Vars;
	this->m_Objects=fromobj.m_Objects;
	this->m_pfProgress=fromobj.m_pfProgress;
	this->m_piStage=fromobj.m_piStage;
	this->m_pyAbort=fromobj.m_pyAbort;
	return *this;
}

void CSJSpecimen::Reset()
{
	m_LogRep.clear();
	m_IniFile.Reset();
	m_ListOfImages.Clear();
	m_TempImages.Clear();
	m_Vars.Clear();
	m_Objects.Clear();
	m_pfProgress=NULL;
	m_piStage=NULL;
	m_pyAbort=NULL;
}
