// Copyright (c) 2002 Oleksandr Shyrokov 
// E-mail: olexander_shyrokov@yahoo.com
// WEB:	http://sjcomp.virtualave.net/thesis/
// WEB:	http://www.ece.unh.edu/svpal/
// 
// Permission to use, copy, modify and distribute the contests of this code
// for non-commercial purpose is hereby granted without fee, provided
// that (i) the above copyright notices and this permission notice appear in
// all copies of the software and related documentation, and (ii) the name of
// Oleksandr Shyrokov may not be used in any advertising or
// publicity relating to the software without the specific, prior written
// permission of Oleksnadr Shyrokov.
// 
// For commercial use of the source code or parts of the source code,
// written permission of Oleksandr Shyrokov is required!
// 
// THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
// 
// IN NO EVENT SHALL OLEKSANDR SHYROKOV BE LIABLE FOR
// ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
// OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
// WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
// LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
// OF THIS SOFTWARE.
// 
//$Header: c:\\users\\sj\\CVS/Thesis/Interfaces/Processing.h,v 2.2 2002/03/02 20:26:41 sj Exp $
#if !defined(PROCESSING_H_INCLUDED)
#define PROCESSING_H_INCLUDED

#pragma warning(disable:4786)
#include <string>
#include "SJSpecimen.h"

// Processing function
void IncreaseDepth(CSJBuffer& buf);
int Threshold(CSJBuffer &Buf,int iThreshold, WORD wUp=0xFFFF, WORD wDown=0);
int StretchVals(CSJBuffer &Buf);
WORD Connectivity(CSJBuffer *BufBlobs);
// if yExcludeSE is true all blobs with widht or height 1 and touchin edge blobs
// will be excluded
int Find_Blobs(CSJObjectInfoList *ObjectList,CSJBuffer *BufBlobs,bool yExcludeSE=true);
int Change_Value(CSJBuffer &Buf, WORD wOld, WORD wNew);

#endif // !defined(PROCESSING_H_INCLUDED)
