// Copyright (c) 2002 Oleksandr Shyrokov 
// E-mail: olexander_shyrokov@yahoo.com
// WEB:	http://sjcomp.virtualave.net/thesis/
// WEB:	http://www.ece.unh.edu/svpal/
// 
// Permission to use, copy, modify and distribute the contests of this code
// for non-commercial purpose is hereby granted without fee, provided
// that (i) the above copyright notices and this permission notice appear in
// all copies of the software and related documentation, and (ii) the name of
// Oleksandr Shyrokov may not be used in any advertising or
// publicity relating to the software without the specific, prior written
// permission of Oleksnadr Shyrokov.
// 
// For commercial use of the source code or parts of the source code,
// written permission of Oleksandr Shyrokov is required!
// 
// THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
// 
// IN NO EVENT SHALL OLEKSANDR SHYROKOV BE LIABLE FOR
// ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
// OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
// WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
// LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
// OF THIS SOFTWARE.
// 
// ChooseHistogramDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ChooseHistogramDlg.h"
#include "DisplayWindow.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CChooseHistogramDlg dialog


CChooseHistogramDlg::CChooseHistogramDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CChooseHistogramDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CChooseHistogramDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CChooseHistogramDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CChooseHistogramDlg)
	DDX_Control(pDX, IDC_CHOOSE_HIST_DLG_LIST, m_ctrlChoseHist);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CChooseHistogramDlg, CDialog)
	//{{AFX_MSG_MAP(CChooseHistogramDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CChooseHistogramDlg message handlers

void CChooseHistogramDlg::OnOK() 
{
	m_ctrlChoseHist.GetText(m_ctrlChoseHist.GetCurSel(),m_strSelected);
	CDialog::OnOK();
}

void CChooseHistogramDlg::AddString(CString str)
{
	m_ctrlChoseHist.AddString(str);
}

BOOL CChooseHistogramDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	((CDisplayWindow*)GetParent())->FillListForHist(this);
	m_ctrlChoseHist.SetCurSel(0);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
