// Copyright (c) 2002 Oleksandr Shyrokov 
// E-mail: olexander_shyrokov@yahoo.com
// WEB:	http://sjcomp.virtualave.net/thesis/
// WEB:	http://www.ece.unh.edu/svpal/
// 
// Permission to use, copy, modify and distribute the contests of this code
// for non-commercial purpose is hereby granted without fee, provided
// that (i) the above copyright notices and this permission notice appear in
// all copies of the software and related documentation, and (ii) the name of
// Oleksandr Shyrokov may not be used in any advertising or
// publicity relating to the software without the specific, prior written
// permission of Oleksnadr Shyrokov.
// 
// For commercial use of the source code or parts of the source code,
// written permission of Oleksandr Shyrokov is required!
// 
// THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
// 
// IN NO EVENT SHALL OLEKSANDR SHYROKOV BE LIABLE FOR
// ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
// OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
// WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
// LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
// OF THIS SOFTWARE.
// 
//$Header: c:\\users\\sj\\CVS/Thesis/PlugIns/Features/templ.cpp,v 1.6 2002/03/02 20:25:36 sj Exp $
//$'Header$
// This's a template for Feature Plug-In.

// Create a new project with MFC AppWizard(dll)
// Choose  MFC Extension DLL (using shared MFC DLL)
// Place the contents of this file instead of automaticly created one.
// Replace FEATURE_NAME_ with the name of the project
// Remove "'" from $'Revision$ in order to have correct substitution with CVS or edit it manually
// Remove "'" from $'Header$ above and remove the first line in the file!

// Add "../../../Interfaces/Interfaces.lib" to the Project Settings->Link->object/library modules
// Add "copy Debug\FEATURE_NAME_.dll ..\..\..\Amors\PlugIns\FEATURE_NAME_D.dll"
// to the Project Settings->Post-build step

// Non zero value returned by any function means a successful finishing


#include "stdafx.h"
#include <afxdllx.h>

#include "../../../Interfaces/Interfaces_def.h"

static AFX_EXTENSION_MODULE FEATURE_NAME_DLL = { NULL, NULL };

extern "C" int APIENTRY
DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpReserved)
{
	UNREFERENCED_PARAMETER(lpReserved);
	if (dwReason == DLL_PROCESS_ATTACH){
		TRACE0("FEATURE_NAME_.DLL Initializing!\n");
		if (!AfxInitExtensionModule(FEATURE_NAME_DLL, hInstance))return 0;
		new CDynLinkLibrary(FEATURE_NAME_DLL);}
	else if (dwReason == DLL_PROCESS_DETACH){
		TRACE0("FEATURE_NAME_.DLL Terminating!\n");
		AfxTermExtensionModule(FEATURE_NAME_DLL);}
	return 1;
}

EXPORT_FNT_MARCO int GetType()
{
	return SJ_PLGUIN_TYPE_FEATURE;
}

EXPORT_FNT_MARCO int GetInfo(std::string& Info)
{
#ifdef _DEBUG
	Info="FEATURE_NAME_ feature ($'Revision$) (Debug)";
#else
	Info="FEATURE_NAME_ feature ($'Revision$)";
#endif
//	return SJ_MFC_DIALOG_SETUP;
	return SJ_NO_SETUP_DIALOG;
}

EXPORT_FNT_MARCO int SetupDll(const char *iniName)
{
	return 1;
}

EXPORT_FNT_MARCO int ExtractFeature(CSJSpecimen &Specimen)
{
	Specimen.ReportProgress(SJ_PLGUIN_TYPE_FEATURE,0);
	int iObjNum=Specimen.GetObjects()->GetLength();
	for(int iNum=0;iNum<iObjNum;iNum++)
	{
		CSJObjectInfo *ObjInfo=Specimen.GetObjects()->GetObjectInfo(iNum);if(ObjInfo==NULL)ASSERT(0);

		// Do whatever you want with the object here

		// Report status
		Specimen.ReportProgress(SJ_PLGUIN_TYPE_FEATURE,(iNum*100)/(float)iObjNum);
		if(Specimen.IsAborted())break;
	}
	Specimen.GetVars()->SetValue("FEATURE_NAME_",1);
	return 1;
}
